Bug 131754 - Remove DynamicAnnotations.h?
Summary: Remove DynamicAnnotations.h?
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-16 13:00 PDT by Simon Fraser (smfr)
Modified: 2014-04-18 14:04 PDT (History)
12 users (show)

See Also:


Attachments
Patch (16.42 KB, patch)
2014-04-17 09:07 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (16.99 KB, patch)
2014-04-17 10:42 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2014-04-16 13:00:13 PDT
Not sure that any platform defines USE_DYNAMIC_ANNOTATIONS, but DynamicAnnotations.h is included in many WebCore source files via ThreadSafeRefCounted, so we should remove it if we can.
Comment 1 Martin Robinson 2014-04-17 08:57:03 PDT
I also think this looks safe to remove.
Comment 2 Martin Robinson 2014-04-17 09:03:01 PDT
Although, it does seem that this is the kid of thing that someone might turn on as an option for debugging an issue. I'll send a quick note to webkit-dev to see if anyone is using it.
Comment 3 Martin Robinson 2014-04-17 09:07:32 PDT
Created attachment 229551 [details]
Patch
Comment 4 Martin Robinson 2014-04-17 10:42:19 PDT
Created attachment 229556 [details]
Patch
Comment 5 Simon Fraser (smfr) 2014-04-18 11:08:03 PDT
No feedback on webkit-dev. I think you can go ahead and commit this.
Comment 6 Martin Robinson 2014-04-18 14:03:56 PDT
Comment on attachment 229556 [details]
Patch

Clearing flags on attachment: 229556

Committed r167508: <http://trac.webkit.org/changeset/167508>
Comment 7 Martin Robinson 2014-04-18 14:04:08 PDT
All reviewed patches have been landed.  Closing bug.